/// <reference types="react" />
import { Descriptor, TabNavigationState } from "@react-navigation/native";
import { IAppearenceOptions } from "./types";
interface TabBarElementProps {
    state: TabNavigationState<Record<string, object | undefined>>;
    navigation: any;
    descriptors: Record<string, Descriptor<Record<string, object | undefined>, string, TabNavigationState<Record<string, object | undefined>>, any, {}>>;
    appearence: IAppearenceOptions;
    tabBarOptions?: any;
    lazy?: boolean;
}
declare const _default: ({ state, navigation, descriptors, appearence, tabBarOptions, lazy, }: TabBarElementProps) => JSX.Element;
/**
 * @name TabBarElement
 * React Navigation v5 custom navigation (bottom tab bar) builder with an
 * an interactive animation, and easily customisable.
 *
 * @param state Navigation state
 * @param navigation Navigation object
 * @param descriptors
 * @param appearence Object with appearence configurations (see readme)
 * @param rest
 *
 * @return function that creates the custom tab bar
 */
export default _default;
